### Struct

# FwupdPlugin UsbEndpointHdr

#### Description

    struct FuUsbEndpointHdr {
      guint8 buf[];
      guint refcount;
    }

No description available.

###### Structure members

`buf:` `guint8`

  No description available.

`refcount:` `guint`

  No description available.

#### Functions

###### fu_usb_endpoint_hdr_parse_stream

No description available.

#### Instance methods

###### fu_usb_endpoint_hdr_get_attributes

No description available.

###### fu_usb_endpoint_hdr_get_descriptor_type

No description available.

###### fu_usb_endpoint_hdr_get_endpoint_address

No description available.

###### fu_usb_endpoint_hdr_get_interval

No description available.

###### fu_usb_endpoint_hdr_get_length

No description available.

###### fu_usb_endpoint_hdr_get_max_packet_size

No description available.

###### fu_usb_endpoint_hdr_ref

No description available.

###### fu_usb_endpoint_hdr_unref

No description available.